Skip to main content
PUT
/
office-hours
/
{id}
Update an office hours schedule
curl --request PUT \
  --url https://api.open.cx/office-hours/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "iana_timezone": "<string>",
  "shifts": [
    {
      "id": "<string>",
      "day_of_week": "everyday",
      "start_time": "<string>",
      "end_time": "<string>"
    }
  ]
}
'
{
  "statusCode": 123,
  "message": "<string>",
  "error": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Body

application/json
name
string
required

Updated schedule name

iana_timezone
string
required

Updated IANA timezone

shifts
object[]
required

Complete list of shifts — replaces all existing shifts

Response

500 - application/json

Internal Server Error

statusCode
integer
message
string
error
string